Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.syntax
Class RuntimeParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  groovy.lang.GroovyRuntimeException
                      org.codehaus.groovy.syntax.RuntimeParserException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  RuntimeIncompleteClassException

    public class RuntimeParserException

extends GroovyRuntimeException

A helper class to allow parser exceptions to be thrown anywhere in the code. Should be replaced when no longer required.

Version:
  $Revision: 7922 $
Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`RuntimeParserException(String message, ASTNode node)`

Method Summary
`void` | `throwParserException()`

Methods inherited from class groovy.lang.GroovyRuntimeException
`getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeParserException

    public RuntimeParserException(String message,
                                  ASTNode node)

Method Detail

### throwParserException

    public void throwParserException()
                              throws SyntaxException

  Throws:
    `SyntaxException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD